commit:     0b9d09a839b4e4aa38b73f8da4ed525a235a93e6
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 28 09:42:58 2018 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Sun Jan 28 12:54:32 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0b9d09a8

dev-python/rosdistro: 0.6.6

Package-Manager: Portage-2.3.20, Repoman-2.3.6

 dev-python/rosdistro/Manifest               |  1 +
 dev-python/rosdistro/rosdistro-0.6.6.ebuild | 43 +++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-python/rosdistro/Manifest b/dev-python/rosdistro/Manifest
index 372bc819cde..2df43d31176 100644
--- a/dev-python/rosdistro/Manifest
+++ b/dev-python/rosdistro/Manifest
@@ -1 +1,2 @@
 DIST rosdistro-0.6.4.tar.gz 58603 BLAKE2B 
9eed482987826b69eba51f1776df0d2285c496130d500f082f82fe7fbbb8e8d5767dcaec93582328a33c164a862ac2a46ac6d0ed0f770ebb16b25e680dc1e9af
 SHA512 
92365b556cc6615245bd69cce35efb2fe879fe42fb4aafef08b2472c67b43e14e3088c1186e8b1d4f5f3781bfebbe826b3c361a9435ce27745a3506d20d40f85
+DIST rosdistro-0.6.6.tar.gz 58881 BLAKE2B 
9daa5c08b97509606d5077f55e8a85d2cd278f69aebff22feefd9661d455f38cff549ee26f894b040cad7192f044828a20cf749d83a257a8b5604f07d382f081
 SHA512 
2a4b0dfcaa43a8e4d4a0fff5ed204ad81317156128d9050e0c67dfe2cd9efda2bfc84f454e424ebd457e7c62c7c6add113ceb31e99310c34a9fc9f206e510922

diff --git a/dev-python/rosdistro/rosdistro-0.6.6.ebuild 
b/dev-python/rosdistro/rosdistro-0.6.6.ebuild
new file mode 100644
index 00000000000..8780e241c60
--- /dev/null
+++ b/dev-python/rosdistro/rosdistro-0.6.6.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy{,3} )
+
+SCM=""
+if [ "${PV#9999}" != "${PV}" ] ; then
+       SCM="git-r3"
+       EGIT_REPO_URI="https://github.com/ros-infrastructure/rosdistro";
+fi
+
+inherit ${SCM} distutils-r1
+
+DESCRIPTION="Tools to work with catkinized rosdistro files"
+HOMEPAGE="http://wiki.ros.org/rosdistro";
+if [ "${PV#9999}" != "${PV}" ] ; then
+       SRC_URI=""
+       KEYWORDS=""
+else
+       
SRC_URI="https://github.com/ros-infrastructure/rosdistro/archive/${PV}.tar.gz 
-> ${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="
+       dev-python/catkin_pkg[${PYTHON_USEDEP}]
+       dev-python/rospkg[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       test? (
+               dev-python/nose[${PYTHON_USEDEP}]
+               dev-python/mock[${PYTHON_USEDEP}]
+       )
+"
+
+python_test() {
+       nosetests --with-xunit test || die
+}

Reply via email to